org.gradle.api.file

## Interface RegularFileVar

- All Superinterfaces:
    PropertyState<RegularFile>, Provider<RegularFile>

      @Incubating
      public interface RegularFileVar
      extends Provider<RegularFile>, PropertyState<RegularFile>

  Represents some configurable regular file location, whose value is mutable and not necessarily currently known until later.

  Note: This interface is not intended for implementation by build script or plugin authors. An instance of this class can be created using the `ProjectLayout.newFileVar()` method.

  Since:
    4.1

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Provider<File>` | `getAsFile()` Views the location of this file as a `File`.
    `void` | `set(File file)` Sets the location of this file.

    - ### Methods inherited from interface org.gradle.api.provider.PropertyState

      `set, set`

    - ### Methods inherited from interface org.gradle.api.provider.Provider

      `get, getOrNull, isPresent`

- - ### Method Detail

    - #### getAsFile

          Provider<File> getAsFile()

      Views the location of this file as a `File`.

    - #### set

          void set(File file)

      Sets the location of this file.